#!/usr/bin/perl
# file side_by_side.pl
use Math::Trig;
use CGI qw/:standard :netscape/;

$date = date;
$object = new CGI;                          #create a new CGI object
@timeData = localtime(time);
# Find the month
$month = @timeData[4]+1;
# Find the year
$year = @timeData[5]+1900;
# Find tha day
$day = @timeData[3];

print header;

$frame_name = path_info();
$frame_name =~ s!^/!!;

# If no path information is provided, then we create 
# a side-by-side frame set
if (!$frame_name) {
    print_frameset();
    exit 0;
}
# If we get here, then we either create the query form
# or we create the response.
print start_html();

print_query()    if $frame_name eq 'left';

$myname = param('myname');
$papers = param('papers');
@title[1] = param('title1');
@authors[1] = param('authors1');
@year[1] = param('year1');
@periodiko[1] = param('periodiko1');
@details[1] = param('details1');
@title[2] = param('title2');
@authors[2] = param('authors2');
@year[2] = param('year2');
@periodiko[2] = param('periodiko2');
@details[2] = param('details2');

print_response() if $frame_name eq 'right';

print end_html();
 

# Create the frameset
sub print_frameset {
    my $script = url();
    print title('Annual Report'),
    frameset({-cols=>'70%,30%'},
	     frame({-name=>'left',-src=>"$script/left"}),
	     frame({-name=>'right',-src=>"$script/right"})
	     );
    exit 0;
}

sub print_query
  {
    my $script = url();
#    login();
#    $username = $object->param('username');
#    $password = $object->param('password');

    print $object->h1("This is the form for the annual report of the year ", $year),
      $object->start_form(-action=>"$script/right",-target=>"right");
    print $object->hr;
    print $object->hr;
    print $object->p;
    print $object->h2('1. Personal information:');
    print $object->body(' 1a. Name (e.g. Georgios T. Konstantinidis) :   '),
      $object->textfield('myname','',40,50),
	$object->br;
    $myname = $object->param('myname');
    print $object->body(' 1b. Has your academic position change since last year (please choose one)?   ');
    print $object->popup_menu('change',['yes','no'],'no'), $object->br;
    $change = $object->param('change');
    print $object->body(' 1c. Current academic position (please choose one)? ');
    print $object->popup_menu('position',['Professor','Associate Professor','Assistant Professor','Lecturer'], 'Professor');
    $position = $object->param('position');
    print $object->hr;

    print $object->h2('2. Research activity: ');
    print $object->body(' Here you will provide information about your research activity in the previous year. Please, fill the gaps with the appropriate data.'),p;
    print $object->body(' Number of papers publushed in', $year, ' ');
    print $object->textfield('papers','','2','2'),p;
    $papers = $object->param('papers');
    print $object->body(' 2a. Please, list the papers you have published in ', $year);
    print $object->p,
      $object->body('   1. Author(s): ' ),$object->textfield('authors1','',20,40),
	$object->body(' Title: '),$object->textfield('title1','',20,40),
	  $object->body(' Periodiko: ' ),$object->textfield('periodiko1','',20,40),
	    $object->body(' Publication details '),$object->textfield('details1','',20,40),
	      $object->body(' Year of publication: '), $object->textfield('year1','',4,4);
    print $object->p,
      $object->body('   2. Author(s): ' ),$object->textfield('authors2','',20,40),
	$object->body(' Title: '),$object->textfield('title2','',20,40),
	  $object->body(' Periodiko: ' ),$object->textfield('periodiko2','',20,40),
	    $object->body(' Publication details '),$object->textfield('details2','',20,40),
	      $object->body(' Year of publication: '), $object->textfield('year2','',4,4);
    print $object->p,
      $object->body('   3. Author(s): ' ),$object->textfield('authors3','',20,40),
	$object->body(' Title: '),$object->textfield('title3','',20,40),
	  $object->body(' Periodiko: ' ),$object->textfield('periodiko3','',20,40),
	    $object->body(' Publication details '),$object->textfield('details3','',20,40),
	      $object->body(' Year of publication: '), $object->textfield('year3','',4,4);
    print $object->p,
      $object->body('   4. Author(s): ' ),$object->textfield('authors4','',20,40),
	$object->body(' Title: '),$object->textfield('title4','',20,40),
	  $object->body(' Periodiko: ' ),$object->textfield('periodiko4','',20,40),
	    $object->body(' Publication details '),$object->textfield('details4','',20,40),
	      $object->body(' Year of publication: '), $object->textfield('year4','',4,4);
    print $object->p,
      $object->body('   5. Author(s): ' ),$object->textfield('authors5','',20,40),
	$object->body(' Title: '),$object->textfield('title5','',20,40),
	  $object->body(' Periodiko: ' ),$object->textfield('periodiko5','',20,40),
	    $object->body(' Publication details '),$object->textfield('details5','',20,40),
	      $object->body(' Year of publication: '), $object->textfield('year5','',4,4);
  print $object->p,
      $object->body('   6. Author(s): ' ),$object->textfield('authors6','',20,40),
	$object->body(' Title: '),$object->textfield('title6','',20,40),
	  $object->body(' Periodiko: ' ),$object->textfield('periodiko6','',20,40),
	    $object->body(' Publication details '),$object->textfield('details6','',20,40),
	      $object->body(' Year of publication: '), $object->textfield('year6','',4,4);

    print $object->hr,p;
#    print $object->textarea('work','','10','50'),                          #create a text field
#		    $object->p;
#    print $object->hr;
#    print $object->hr;
#    print $object->body(' Papers published in', $year);
    
#    print $object->p;
#    print $object->hr;
#    print $object->hr;
    print $object->h2('3. Meetings attented in', $year);
    print $object->p,
      $object->body('   1. Place ' ),$object->textfield('place1','',20,40),
	$object->body(' From: '),$object->textfield('from1','',20,40),
	  $object->body(' To ' ),$object->textfield('to1','',20,40),
	    $object->body(' Presentation '),$object->textfield('presentation1','',20,40);
    print $object->p,
      $object->body('   2. Place ' ),$object->textfield('place2','',20,40),
	$object->body(' From: '),$object->textfield('from2','',20,40),
	  $object->body(' To ' ),$object->textfield('to2','',20,40),
	    $object->body(' Presentation '),$object->textfield('presentation2','',20,40);
    print $object->p;
    print $object->hr;
    print $object->hr;
    print $object->h2('4. Books ');
    print $object->p;
    print $object->hr;
    print $object->hr;
    print $object->h2('5. Teaching in ', $year);
    print $object->hr;
    print $object->hr;
    print $object->p;
    
    print $object->submit(-name=>'Submit', -value=>'Submit'),                   #submit button
      $object->p;
    print $object->defaults('Reset to default values','Reset to default values'),#defaults button
      $object->p;
    print $object->body(`date`);                                          #print date and time on page
    print $object->end_form();                                            #end the current form 
    print $object->hr;                                                    #print a horisontal line
    
    print end_form;
  }	

sub login
  {
    print $object->h1(' Please login ');
    print p;
    print $object->body(' Username '),
      $object->textfield('username','','20','20'),
	$object->p();
    $username = $object->param('username');

    print $object->body(' Password ');
    print $object->password_field('password','',' ','20','20'),
      $object->p();
    $password = $object->param('password');

    print $object->submit('login','Login');
    $login = $object->param('login');
    print $object->hr;
    #print $object->end_form;
    #print $object->end_html;
  }

 sub print_response
  {
    print h1(" This is the annual report of", $name, ' for the year ', $year );
    unless (param) {
      print b("No query submitted yet.");
      return;
    }
    print $object->body("Your name is ", $myname),p;
    print $object->body('You have ',$papers, ' publications in ', $year),p;
    print $object->body('Publications:'),br;
    for($i=1;$i<=$papers;$i++)
      {
	@publication[$i] = '"'.@title[$i] . '", ' . @authors[$i] .', ' . @periodiko[$i] . ', ' . @details[$i] . ', ' . @year[$i];

	print $object->body( $i, '. ', $publication[$i]),br;
      }
    #"The keywords are: ",em(join(", ",param('words'))),p(),
    #"Your favorite color is ",em(param('color'));
  }

